/* pcpscrpt.js
 * Scripts common to PC Plus installer pages
 * Matt Kynaston (kynaston@yahoo.com), December 2000
 * functions starting with pcp_ are Copyright Future Publishing, 2000
 * functions starting with MM_ are from Macromedia Dreamweaver
*/


// Determine browser type
var bname = navigator.appName;
var bVer = parseInt(navigator.appVersion);
userAgent = navigator.userAgent;
userAgent = userAgent.toLowerCase();
var br = "notie";
var ie5plus = false;
var ns6plus = false;
var opera5plus = false;

if (bname == "Netscape" && bVer >=4) br = "n4plus";
else if (bname == "Microsoft Internet Explorer" && bVer >= 4) br = "e4plus";
else if (bname == "Microsoft Internet Explorer" && bVer < 4) br = "e3";
if (navigator.appVersion.indexOf("MSIE 5") != -1) ie5plus = true;
if (navigator.appVersion.indexOf("Netscape") != -1 && bVer >= 6) ns6plus = true;

// Opera identifies itself as IE4 in appName!!
if (userAgent.indexOf("opera 5") != -1){
	opera5plus = true;
	br="notie";
}


// determine operating system of viewer
var linux = false;
var win16 = false;
if (userAgent.indexOf("linux") != -1) linux = true;
if (userAgent.indexOf("Win16") != -1) win16 = true;


/* pcp_runIntraLaunch(fileName)
 * accepts file name in IntraLaunch format (ie *:\full\path\to.exe - from root of CD)
 * checks browser and calls VBScript with filename if IE4+
 * otherwise shows alert
*/
function pcp_runIntraLaunch(fileName) {
	if (br=="e4plus") {
		pcp_LaunchFile(fileName);
		document.MM_returnValue = false;
	}
	else if (opera5plus) {
		// OK, what's going on? Why doesn't Opera take any notice?	
		document.MM_returnValue = confirm("Alert! To run files directly from Opera you must choose 'Run file'\nin the next dialog box. If you choose 'Save to disk' the installation\nwill not work.\n\nContinue?");	
	}
	else if (br=='n4plus' && length !=0 && getCookie('PCPLUS_CDN') != null) {
		document.MM_returnValue = confirm("Alert! To run files directly from Netscape you must have\rthe Netscape Open/Save dialog enabled. If it is,\ryou will get a 'Security Hazard' dialog box next. Choose 'Open'\rto run the file.\r\rIf you just get a 'Save to disk' dialog, you will not be able to use Netscape\rto install this software.\r\rSee the Netscape page under 'Help' for more information.\r\rDo you wish to continue?");	
	}
	else {
		alert('Alert! This will not work.\r\rYour browser does not allow the execution of files\rdirectly from the SuperCD. If you do not understand\rthis, click OK, go to the Help section on the SuperCD\rand read the instructions.');
		document.MM_returnValue = false;
	}
}


/* pcp_swapArrow()
 * Searches for the arrow (rarrow.gif) in the index that is linked to the current documnet
 * and changes it to a blinking arrow (blinkarr.gif). Used to highlight the current document
 * in the index.
*/
function pcp_swapArrow() {
	var doesDOM = ie5plus || ns6plus;
	// var doesDOM = ns6plus || ie5plus;
	if (br == "e4plus" || br=="ns4plus" || doesDOM) {
		var ancs = (doesDOM) ? document.getElementsByTagName("a") : document.all.tags("a");
		var found = false;
		var curLoc = document.location + "";
		for(var i=0;i<ancs.length && !found;i++) {
			if (curLoc.indexOf(ancs[i].href) == 0) {
				var imgs = (doesDOM) ? ancs[i].getElementsByTagName("img") : ancs[i].all.tags("img");
				for(var j=0;j<imgs.length && !found;j++) {
					var imgsrc = imgs[j].src;
					if (imgsrc.indexOf("rarrow.gif") != -1) {
						imgs[j].src = imgsrc.substring(0,imgsrc.lastIndexOf("/")) + "/blinkarr.gif";
						found = true;
}	}	}	}	}	}
				
/* pcp_emailWarning()
 * Warns users that they must have an email client configured to access the mailto link,
 * unless they've set the PCPLUS_CD3 cookie (on the help.htm page). Now why doesn't cancelling 
 * work in NS? Have tried everything, I think...
*/
function pcp_emailWarning() {
	var retVal = true;
	if (br == 'e4plus' || br == 'n4plus') {
		if (getCookie('PCPLUS_CD3') == null) {
			retVal = confirm('Accessing this link will require you to have an\re-mail client set up and integrated correctly.\r\rIf it is you will be taken to a New Message window\rwhere you can type in your message and then send it.\r\rIf you are not connected to a network, this means\ryou need a modem and Internet account setup and\rswitched on.\r\rDo you wish to continue?');
		}
	}
	else {
		alert('Accessing this link will require you to have an\re-mail client set up and integrated correctly.\r\rIf it is you will be taken to a New Message window\rwhere you can type in your message and then send it.\r\rIf you are not connected to a network, this means\ryou need a modem and Internet account setup and\rswitched on.');
	}
	document.MM_returnValue = retVal;
}

/* pcp_linkWarning()
 * Alerts users they are entering pages authored by a 3rd party, which may contain links
 * to the Internet that will require an Internet connection. Disabled by the PCPLUS_CD5
 * cookie
*/
function pcp_linkWarning() {
	if (getCookie('PCPLUS_CD5') == null) {
		alert('This link takes you to pages authored by a third party.\r\rThey may contain links that lead onto the internet.\rIf you are not connected to a network, you will\rneed a modem and Internet account setup\rand switched on in order to follow them.');
	}
}

/* pcp_webWarning()
 * Alerts users they are accessing a remote link that requires an Internet connection.
 * Disabled with the PCPLUS_CD1 cookie, set on the help.htm page
*/
function pcp_webWarning() {
	var retVal = true;
	if (br == 'e4plus' || br == 'n4plus') {
		if (getCookie('PCPLUS_CD1') == null) {
			retVal = confirm('Accessing this link will require you to go on-line.\r\rIf you are not connected to a network, this means\ryou need a modem and Internet account setup\rand switched on. Do you wish to continue?');
		}
	}
	else {
		alert('Accessing this link will require you to go on-line.\r\rIf you are not connected to a network, this means\ryou need a modem and Internet account setup\rand switched on.');
	}
	document.MM_returnValue = retVal;
}

/* functions to get, set, delete and toggle cookies
 * original stuff written by Dave Taylor - now that's going back a way!
*/

function setCookie(name, value) {
	var exp = new Date();                                          // make new date object
	exp.setTime(exp.getTime() + (1000 * 60 * 60 * 24 * 1000));     // set it 1000 days ahead
	document.cookie = name + "=" + escape(value) + "; path=/; expires=" + exp.toGMTString();
}

function getCookie(name) {
	var cname = name + "=";               
	var dc = document.cookie;             
	    if (dc.length > 0) {              
	    begin = dc.indexOf(cname);       
	        if (begin != -1) {           
	        begin += cname.length;       
	        end = dc.indexOf(";", begin);
	            if (end == -1) end = dc.length;
	            return unescape(dc.substring(begin, end));
	        }
	    }
	return null;
}

function delCookie(name) {
	document.cookie = name + "=; expires=Thu, 01-Jan-70 00:00:01 GMT" +  "; path=/";
}

function toggle_cookie1() {
	if (getCookie('PCPLUS_CD1')) {
		delCookie('PCPLUS_CD1');
	} else {
		setCookie('PCPLUS_CD1','Hide connect messages');
	}
}

function toggle_cookie2() {
	if (getCookie('PCPLUS_CD2')) {
		delCookie('PCPLUS_CD2');
	} else {
		setCookie('PCPLUS_CD2','Hide load messages');
	}
}

function toggle_cookie3() {
	if (getCookie('PCPLUS_CD3')) {
		delCookie('PCPLUS_CD3');
	} else {
		setCookie('PCPLUS_CD3','Hide mail messages');
	}
}

// note: PCPLUS_CD4 used to be used to supress the initial "warning" screen of the interface
//       not a good idea to recycle it for quite a while.
function toggle_cookie5() {
	if (getCookie('PCPLUS_CD5')) {
		delCookie('PCPLUS_CD5');
	} else {
		setCookie('PCPLUS_CD5','Hide 3rd party link messages');
	}
}


/* Macromedia image swapping functions
 * (glad I didn't have to write these 'cause they're dead ugly :)
*/
function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i>a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_findObj(n, d) { //v3.0
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i>d.layers.length;i++) x=MM_findObj(n,d.layers[i].document); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}
